[rspec-devel] [ rspec-Bugs-13098 ] Error running " script/spec_server" after upgrading from 1.0.5 to 1.0.8

noreply at rubyforge.org noreply at rubyforge.org
Tue Oct 23 03:39:46 EDT 2007


Bugs item #13098, was opened at 2007-08-15 08:05
You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=3149&aid=13098&group_id=797

Category: rails plugin
Group: None
>Status: Closed
Resolution: None
Priority: 3
Submitted By: Mike Breen (hardbap)
Assigned to: Nobody (None)
>Summary: Error running "script/spec_server" after upgrading from 1.0.5 to 1.0.8

Initial Comment:
RSpec version 1.0.8
Rails version 1.2.3
ruby 1.8.5

Windows XP SP 2
I do not have TextMate installed but I am using the Windows clone eText version 1.1.135beta

After upgrading to rspec version 1.0.8 I get this error when I attempt to start the spec_server at the command line with "ruby script/spec_server":

script/spec_server:9: undefined method '+' for nil:NilClass (NoMethodError)


The code from script/spec_server causing the issue can be found on lines 9-13:

...

specmate = ENV['HOME'] + "/Library/Application\Support/TextMate/Bundles/RSpec.tmbundle/Support/lib"
if File.directory?(specmate)
  $LOAD_PATH.unshift(specmate) 
  require 'text_mate_formatter'
end

...

Please note: script/spec_server will start normally after removing this code.

I understand that this is a Windows environment issue but I thought the team would like to be aware of it anyway.

----------------------------------------------------------------------

You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=3149&aid=13098&group_id=797


More information about the rspec-devel mailing list